since people are talking about it, here's PocketToot, a Mastodon API client (tested with 2.3.3, Pleroma untested but likely compatible) for Windows Mobile 5 in the Pocket PC form factor. (2003/Smartphone unsupported; see README)

github.com/NattyNarwhal/Pocket

Follow

@calvin This will end up with me booting up the IBM z50 and then enabling all sorts of broken SSL on my Mastodon server...

(Not before the next weekend though...)

@galaxis @calvin z50's far too old for this, you need Windows Mobile 5 Pocket PC (which is CE 5.x), z50 is running CE 2.11 Handheld PC I think.

@bhtooefr @calvin Ah right. Too much retro again... Don't think I have any CE devices that modern.

@galaxis ...although .NET Compact Framework 1.0 SP3 has been backported to CE 2.x, apparently: archive.codeplex.com/?p=netcfw

But, you'd need to backport to that target, and redo the UI, I think.

@calvin @galaxis I suspect you'd basically just have to bring in your own TLS library to run as far back as CE 2.xx?

@bhtooefr @galaxis .NET actually can run on 2.11, it's been backported; though it'd be the 1.x runtime, and not the 3.5 I depend on

1.x means no generics, autoprops, JSON parsing libs, and especially no funcprog

Sign in to participate in the conversation
INFRa Mastodon

This Mastodon instance is not open for public registration. Site administrator is Alexander Bochmann.

Contact email: ab+mastodon@infra.de